.TH XScreenSaver 1 "27-Apr-97" "X Version 11"
.SH NAME
deco \- draw tacky 70s basement wall panelling
.SH SYNOPSIS
.B deco
[\-display \fIhost:display.screen\fP]
[\-foreground \fIcolor\fP]
[\-background \fIcolor\fP]
[\-window]
[\-root]
[\-mono]
[\-install]
[\-visual \fIvisual\fP]
[\-delay \fIseconds\fP]
[\-max\-depth \fIint\fP]
[\-min\-width \fIint\fP]
[\-min\-height \fIint\fP]
[\-line-width \yIint\fP]
[\-smooth\-colors]
[\-golden\-ratio]
[\-mondrian]
[\-fps]
.SH DESCRIPTION
The \fIdeco\fP program subdivides and colors rectangles randomly.
It looks kind of like Brady-Bunch-era rec-room wall paneling.
(Raven says: "This screensaver is ugly enough to peel paint.")
Can also produce more aesthetically pleasing displays via options.
.SH OPTIONS
.I deco
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono 
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-delay \fIseconds\fP
How long to wait before starting over.  Default 5 seconds.
.TP 8
.B \-max\-depth \fIinteger\fP
How deep to subdivide.  Default 12.
.TP 8
.B \-min\-width \fIinteger\fP
.TP 8
.B \-min\-height \fIinteger\fP
The size of the smallest rectangle to draw.  Default 20x20.
.TP 8
.B \-line\-width \fIinteger\fP
Width of lines drawn between rectangles. Default zero (minimal width).
.TP 8
.B \-smooth\-colors
.TP 8
.B \-no\-smooth\-colors
Whether to use a smooth color palette instead of a random one.
Less jarring. Default False.
.TP 8
.B \-golden\-ratio
.TP 8
.B \-no\-golden\-ratio
Whether to subdivide rectangles using the golden ratio instead of 1/2.
This ratio is supposed to be more aesthetically pleasing. Default false.
.TP 8
.B \-mondrian
.TP 8
.B \-no\-mondrian
Whether to imitiate style of some famous paintings by Piet Mondrian.
Overrides line-width and colormap options. Default false.
.TP 8
.B \-fps
Display the current frame rate and CPU load.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 1997 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski <jwz@jwz.org>, 26-Apr-97, based on code by
Michael D. Bayne <mdb@go2net.com>. Golden ratio and 
Mondrian settings by Lars Huttar.
