.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
glknots \- generates some twisting 3d knot patterns
.SH SYNOPSIS
.B glknots
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-delay \fInumber\fP]
[\-speed \fIfloat\fP]
[\-segments \fIint\fP]
[\-thickness \fIfloat\fP]
[\-duration \fIseconds\fP]
[\-no-wander]
[\-spin \fIXYZ\fP]
[\-wireframe]
[\-fps]
.SH DESCRIPTION
Generates some twisting 3d knot patterns.  Spins 'em around.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 30000 (0.03 seconds.).
.TP 8
.B \-speed \fInumber\fP
Larger numbers mean run faster.  Default: 1.0.
.TP 8
.B \-segments \fInumber\fP
Number of segments in each path.  Default 800.  Larger numbers make the
curves smoother, at the expense of a higher polygon count.
.TP 8
.B \-thickness \fIfloat\fP
How thick the tubes should be.  Default 0.3.
.TP 8
.B \-duration \fIseconds\fP
How long to leave each knot up.  Default 8 seconds.
.TP 8
.B \-wander | \-no-wander
Whether the cubes should wander around the screen.
.TP 8
.B \-spin [XYZ] | \-no-spin
Which axes, if any, to spin around on.
.TP 8
.B \-wireframe | \-no-wireframe
Render in wireframe instead of solid.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2003 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski.
