.TH XScreenSaver 1 "25-Jul-98" "X Version 11"
.SH NAME
kaleidocycle \- draws twistable rings of tetrahedra
.SH SYNOPSIS
.B kaleidocycle
[\-display \fIhost:display.screen\fP] [\-window] [\-root]
[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
[\-count \fInumber\fP]
[\-speed \fInumber\fP]
[\-wander] [\-no-wander]
[\-spin \fIaxes\fP]
[\-no-spin]
[\-wireframe]
[\-fps]
.SH DESCRIPTION
The \fIkaleidocycle\fP program draws a ring composed of tetrahedra
connected at the edges that twists and rotates toroidally.  Segments
are occasionally inserted or removed.
.SH OPTIONS
.I kaleidocycle
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-count \fInumber\fP
The initial number of segments. Default 16.  Must be 8 or greater, and
an even number.
.TP 8
.B \-speed \fInumber\fP
Adjust the animation speed. 0.5 for half as fast, 2.0 for twice as fast.
.TP 8
.B \-wander
Move the text around the screen.  This is the default.
.TP 8
.B \-no\-wander
Keep the text centered on the screen.
.TP 8
.B \-spin
Which axes around which the text should spin.  The default is "Z",
meaning rotate the object the plane of the screen only.
.TP 8
.B \-no\-spin
Don't spin the text at all: the same as \fB\-spin ""\fP.
.TP 8
.B \-wireframe
Render in wireframe instead of solid.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2001-2013 by Jamie Zawinski.
Permission to use, copy, modify, distribute, and sell this software and
its documentation for any purpose is hereby granted without fee,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation.  No representations are made about the
suitability of this software for any purpose.  It is provided "as is"
without express or implied warranty.
.SH AUTHOR
Jamie Zawinski <jwz@jwz.org>
