.TH XScreenSaver 1 "03-Oct-01" "X Version 11"
.SH NAME
sballs \- draws balls spinning like crazy in GL
.SH SYNOPSIS
.B sballs
[\-display \fIhost:display.screen\fP] [\-window] [\-root]
[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP]
[\-object \fIobject_number\fP] 
[\-cycles \fIsphere_speed\fP] 
[\-size \fIviewport_size\fP] 
[\-texture] [\-no-texture]
[\-wireframe] [\-no-wireframe]
[\-trackmouse] [\-no-trackmouse]
[\-fps]
.SH DESCRIPTION
The \fIsballs\fP program draws an animation of balls spinning like crazy in GL.
.SH OPTIONS
.I sballs
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.TP 8
.B \-object \fIobject_number\fP\fP
Specify how the spheres are grouped (forming an object).
Objects are:
.TP 10
.B 1 
tetrahedron
.TP 10
.B 2 
cube. This is the default.
.TP 10
.B 3 
octahedron
.TP 10
.B 4 
dodecahedron
.TP 10
.B 5 
icosahedron
.TP 10
.B 6 
plane
.TP 10
.B 7 
pyramid
.TP 10
.B 8 
star
.TP 8
.B \-size \fIviewport_size\fP\fP
Viewport of GL scene is specified size if greater than 32 and less than screensize. Default value is 0, meaning full screensize.
.TP 8
.B \-texture
Show a textured background and spheres. This is the default.
.TP 8
.B \-no\-texture
Disables texturing the animation.
.TP 8
.B \-trackmouse
Let the mouse be a joystick to change the view of the animation.
This implies 
.I \-no\-wander.
.TP 8
.B \-no\-trackmouse
Disables mouse tracking. This is the default.
.TP 8
.B \-wire
Draw a wireframe rendition of the spheres.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2001 by Eric Lassauge.
Permission to use, copy, modify, distribute, and sell this software and
its documentation for any purpose is hereby granted without fee,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation.  No representations are made about the
suitability of this software for any purpose.  It is provided "as is"
without express or implied warranty.

The original code for this mode was written by
Mustata Bogdan (LoneRunner) <lonerunner@planetquake.com>
and can be found at http://www.cfxweb.net/lonerunner/

.SH AUTHOR
Mustata Bogdan (LoneRunner) <lonerunner@planetquake.com>
Eric Lassauge <lassauge@users.sourceforge.net>
