.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
timetunnel \- Plasma tunnels fade in and out
.SH SYNOPSIS
.B timetunnel
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-start \fInumber\fP]
[\-end \fInumber\fP]
[\-dilate \fInumber\fP]
[\-no-logo]
[\-reverse]
[\-no-fog]
[\-no-texture]
[\-wireframe]
[\-fps]
[\-tardis \fItexture\fP]
[\-head \fItexture\fP]
[\-marquee \fItexture\fP]
[\-tun1 \fItexture\fP]
[\-tun2 \fItexture\fP]
[\-tun3 \fItexture\fP]
.SH DESCRIPTION
Draws an animation similar to the opening and closing effects on the
Dr. Who television show.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-start \fInumber\fP
Start time of loop, 0.0 - 30.00. Default 0.0.  May be identical to end time.
.TP 8
.B \-end \fInumber\fP
End time of loop, 0.0 - 30.00. Default 27.79.  May be identical to start time.
.TP 8
.B \-dilate \fInumber\fP
Scale time to speed or slow simulation.  Numbers less than one slow it down.
.TP 8
.B \-no-logo
Show only tunnels, no logos, etc.
.TP 8
.B \-reverse
Play in reverse, including tunnels.
.TP 8
.B \-no-fog
Turn off fog.
.TP 8
.B \-no-texture
Turn off textures.
.TP 8
.B \-wireframe
Show as wire frame.
.TP 8
.B \-fps | \-no-fps
Whether to show a frames-per-second display at the bottom of the screen.
.TP 8
.B \-tardis \fItexture\fP
Specify an xpm file to override default tardis texture.
.TP 8
.B \-head \fItexture\fP
Specify an xpm file to override default Dr. Who head texture.
.TP 8
.B \-marquee \fItexture\fP
Specify an xpm file to override default show marquee texture.
.TP 8
.B \-tun1 \fItexture\fP
Specify an xpm file to override default tardis tunnel texture.
.TP 8
.B \-tun2 \fItexture\fP
Specify an xpm file to override default middle tunnel texture.
.TP 8
.B \-tun3 \fItexture\fP
Specify an xpm file to override default final tunnel texture.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2005 by Sean Brennan.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Sean Brennan <zettix@yahoo.com>
