.TH XScreenSaver 1 "5-May-2004" "X Version 11"
.SH NAME
pong \- Pong Home Video Game Emulator
.SH SYNOPSIS
.B pong
[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP]
[\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install]
[\-visual \fIvisual\fP]
[\-clock \fIfloat\fP]
[\-noise]
[\-fps]
.SH DESCRIPTION
The
.I pong 
program simulates an ancient Pong home video game, as well as various
artifacts from displaying it on a color TV set.
.SH OPTIONS
.I pong
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono 
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-clock
The score of the game will be the current time.
.TP 8
.B \-noise \fIfloat\fP
How noisy the video signal should be (between 0.0 and 4.0 or so).
.TP 8
.B \-fps
Display the current frame rate and CPU load.
.TP 8
.B (\-p1 | \-p2) \fImode\fP
Set a player to either \fIai\fP, \fImouse\fP, \fItablet\fP, \fIkbleft\fP (for W and S), or
\fIkbright\fP (or just \fIkb\fP, for arrow keys).
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH X RESOURCES
Notable X resources supported include the following which correspond
to standard TV controls:
.BR analogTVTint ,
.BR analogTVColor ,
.BR analogTVBrightness ,
and
.BR analogTVContrast .
They range from 0 to 100, except for tint which is an angle
between -180 and +180.
.SH TRADEMARKS
Pong may be a trademark.

.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1),
.BR xanalogtv (MANSUFFIX),
.BR apple2 (MANSUFFIX)
.SH COPYRIGHT
2003 by Jeremy English.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Original Pong program by Jeremy English <jenglish@myself.com>. Scoring
and television emulation by Trevor Blackwell <tlb@tlb.org>.
