.TH XScreenSaver 1 "13-aug-92" "X Version 11"
.SH NAME
rocks \- animation of flying through an asteroid field
.SH SYNOPSIS
.B rocks
[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-ncolors \fIn\fP] [\-install] [\-visual \fIvisual\fP] [\-count \fIinteger\fP] [\-delay \fIusecs\fP] [\-speed \fIinteger\fP] [\-norotate] [\-nomove] [\-3d]
[\-fps]
.SH DESCRIPTION
The \fIrocks\fP program draws an animation of an asteroid field moving past
the observer (or vice versa).  Sometimes the observer picks up spin on Z axis.
.SH OPTIONS
.I rocks
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono
Make all the rocks the same color.
.TP 8
.B \-ncolors colors
How many different colors to use.  Default 5.  Colors are chosen randomly.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-count \fIinteger\fP
Maximum number of rocks to draw on the screen at once.  Default 100.
.TP 8
.B \-speed \fIinteger\fP
A measure of the speed with which the observer and the rocks pass each other,
from 1 to 100.  Default 100, meaning ``very fast.''  If you're on a slow 
display connection (the animation looks jerky) then try making this number 
smaller, and/or decreasing the number of rocks.
.TP 8
.B \-delay \fImicroseconds\fP
Number of microseconds to delay between each frame.  Default 50000, meaning
about 1/20th second.  Compare and contrast with \fI\-speed\fP, above.
.TP 8
.B \-norotate
Don't rotate the observer; just fly through the field on the level.
.TP 8
.B \-nomove
Don't turn the observer; just fly straight ahead through the field.
.TP 8
.B \-3d
Do red/blue 3d separations: if you look at the screen with 3d glasses,
the rocks will be \fIjumping\fP right \fIout\fP at you.  Oooooh, scaaary!
.TP 8
.B \-fps
Display the current frame rate and CPU load.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH BUGS
There should be an option to display doppler shift (a gravity rainbow.)

Speed of rotation should be settable.

Default speed of rotation should be relative to forward velocity.
.SH COPYRIGHT
Copyright \(co 1992 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Based on Lisp Machine code copyright 1988 John Nguyen <johnn@hx.lcs.mit.edu>.

Ported to C and X by Jamie Zawinski <jwz@jwz.org>, 13-aug-92.

Steering code by Jeremie Petit; 3D code by theiling@coli.uni-sb.de.
