.TH XScreenSaver 1 "20-Mar-2005 (4.21)" "X Version 11"
.SH NAME
xscreensaver\-text - prints some text to stdout, for use by screen savers.
.SH SYNOPSIS
.B xscreensaver\-text
[\--verbose]
[\--columns \fIN\fP]
[\--lines \fIN\fP]
[\--latin1]
[\--date]
[\--text \fISTRING\fP]
[\--file \fIPATH\fP]
[\--program \fICMD\fP]
[\--url \fIURL\fP]
.SH DESCRIPTION
The \fIxscreensaver\-text\fP script prints out some text for use by
various screensavers, according to the options set in
the \fI~/.xscreensaver\fP file.  This may dump the contents of a file,
run a program, or load a URL.  The text is reformatted and wrapped as
appropriate.
.SH OPTIONS
.I xscreensaver\-text
accepts the following options:
.TP 8
.B \-\-verbose \fRor\fP \-v
Print diagnostics to stderr.  Multiple \fI-v\fP switches increase the
amount of output.
.TP 8
.B \-\-columns \fIN\fP or \-\-cols \fIN\fP
Where to wrap lines; default 72 columns.
.TP 8
.B \-\-lines \fIN\fP
Truncate output to at most this many lines.  Default: unlimited.
.TP 8
.B \-\-latin1
Convert any UTF-8 characters in the input to their closest Latin1
equivalent for output.
.PP
Command line options may be used to override the settings in the 
~/.xscreensaver file:
.TP 8
.B \-\-date
Print the host name and current time.
.TP 8
.B \-\-text \fISTRING\fP
Print out the given text.  It may contain % escape sequences as per
.BR strftime (2).
.TP 8
.B \-\-file \fIPATH\fP
Print the contents of the given file, re-formatting it as per
the other options.
.TP 8
.B \-\-program \fICMD\fP
Run the given program and print its output, re-formatting it as per
the other options.
.TP 8
.B \-\-url \fIURL\fP
Download and print the contents of the web page.  If it contains 
HTML, RSS, or Atom, it will be converted to plain-text.  This 
re-downloads the document every time it is run.

.SH ENVIRONMENT
.PP
.TP 4
.B HTTP_PROXY, HTTPS_PROXY, http_proxy, or https_proxy
to get the default proxy host and port.
.SH BUGS
URLs should be cached, use "If-Modified-Since", and obey "Expires".
.SH SEE ALSO
.BR xscreensaver\-settings (1),
.BR xscreensaver (1),
.BR fortune (1),
.BR phosphor (MANSUFFIX),
.BR apple2 (MANSUFFIX),
.BR starwars (MANSUFFIX),
.BR fontglide (MANSUFFIX),
.BR dadadodo (1),
.BR webcollage (MANSUFFIX),
.SH COPYRIGHT
Copyright \(co 2005-2021 by Jamie Zawinski.  Permission to use, copy, modify,
distribute, and sell this software and its documentation for any purpose is
hereby granted without fee, provided that the above copyright notice appear
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski <jwz@jwz.org>, 20-Mar-2005.
